Package com.ocient.jdbc.proto

# Class ClientWireProtocol.FetchSystemMetadataResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadataResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.FetchSystemMetadataResponse

    public static final class ClientWireProtocol.FetchSystemMetadataResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>
    implements ClientWireProtocol.FetchSystemMetadataResponseOrBuilder

Protobuf type `xg.cmdcomp.FetchSystemMetadataResponse`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.FetchSystemMetadataResponse` | `build()` |
`ClientWireProtocol.FetchSystemMetadataResponse` | `buildPartial()` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clear()` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearIntVal()` | `sfixed32 int_val = 4;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearResultOneof()` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearResultSetVal()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clearStringVal()` | `string string_val = 3;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `clone()` |
`ClientWireProtocol.FetchSystemMetadataResponse` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`int` | `getIntVal()` | `sfixed32 int_val = 4;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder` | `getResponseBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` | `getResultOneofCase()` |
`ClientWireProtocol.ResultSet` | `getResultSetVal()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.ResultSet.Builder` | `getResultSetValBuilder()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.ResultSetOrBuilder` | `getResultSetValOrBuilder()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`String` | `getStringVal()` | `string string_val = 3;`
`com.google.protobuf.ByteString` | `getStringValBytes()` | `string string_val = 3;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResultSetVal()` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `mergeFrom​(ClientWireProtocol.FetchSystemMetadataResponse other)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `mergeResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `mergeResultSetVal​(ClientWireProtocol.ResultSet value)` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setIntVal​(int value)` | `sfixed32 int_val = 4;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setResultSetVal​(ClientWireProtocol.ResultSet value)` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setResultSetVal​(ClientWireProtocol.ResultSet.Builder builderForValue)` | `.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setStringVal​(String value)` | `string string_val = 3;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setStringValBytes​(com.google.protobuf.ByteString value)` | `string string_val = 3;`
`ClientWireProtocol.FetchSystemMetadataResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### clear

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.FetchSystemMetadataResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.FetchSystemMetadataResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.FetchSystemMetadataResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### setField

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### clearField

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### clearOneof

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### setRepeatedField

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### addRepeatedField

public ClientWireProtocol.FetchSystemMetadataResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### mergeFrom

public ClientWireProtocol.FetchSystemMetadataResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### mergeFrom

public ClientWireProtocol.FetchSystemMetadataResponse.Builder mergeFrom​(ClientWireProtocol.FetchSystemMetadataResponse other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### mergeFrom

public ClientWireProtocol.FetchSystemMetadataResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`
Throws:
  `IOException`

### getResultOneofCase

public ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase getResultOneofCase()

Specified by:
  `getResultOneofCase` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`

### clearResultOneof

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearResultOneof()

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.FetchSystemMetadataResponse.Builder mergeResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`

### hasResultSetVal

public boolean hasResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

Specified by:
  `hasResultSetVal` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  Whether the resultSetVal field is set.

### getResultSetVal

public ClientWireProtocol.ResultSet getResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

Specified by:
  `getResultSetVal` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  The resultSetVal.

### setResultSetVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setResultSetVal​(ClientWireProtocol.ResultSet value)
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### setResultSetVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setResultSetVal​(ClientWireProtocol.ResultSet.Builder builderForValue)
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### mergeResultSetVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder mergeResultSetVal​(ClientWireProtocol.ResultSet value)
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### clearResultSetVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### getResultSetValBuilder

public ClientWireProtocol.ResultSet.Builder getResultSetValBuilder()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### getResultSetValOrBuilder

public ClientWireProtocol.ResultSetOrBuilder getResultSetValOrBuilder()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

Specified by:
  `getResultSetValOrBuilder` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`

### getStringVal

public String getStringVal()
`string string_val = 3;`

Specified by:
  `getStringVal` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  The stringVal.

### getStringValBytes

public com.google.protobuf.ByteString getStringValBytes()
`string string_val = 3;`

Specified by:
  `getStringValBytes` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  The bytes for stringVal.

### setStringVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setStringVal​(String value)
`string string_val = 3;`

Parameters:
  `value` - The stringVal to set.
Returns:
  This builder for chaining.

### clearStringVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearStringVal()
`string string_val = 3;`

Returns:
  This builder for chaining.

### setStringValBytes

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setStringValBytes​(com.google.protobuf.ByteString value)
`string string_val = 3;`

Parameters:
  `value` - The bytes for stringVal to set.
Returns:
  This builder for chaining.

### getIntVal

public int getIntVal()
`sfixed32 int_val = 4;`

Specified by:
  `getIntVal` in interface `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
Returns:
  The intVal.

### setIntVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder setIntVal​(int value)
`sfixed32 int_val = 4;`

Parameters:
  `value` - The intVal to set.
Returns:
  This builder for chaining.

### clearIntVal

public ClientWireProtocol.FetchSystemMetadataResponse.Builder clearIntVal()
`sfixed32 int_val = 4;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.FetchSystemMetadataResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.FetchSystemMetadataResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadataResponse.Builder>`